import request from '@/utils/request'

// 查询轮播图列表
export function listAppletBanner(query) {
  return request({
    url: '/model/AppletBanner/list',
    method: 'get',
    params: query
  })
}

// 查询轮播图详细
export function getAppletBanner(id) {
  return request({
    url: '/model/AppletBanner/' + id,
    method: 'get'
  })
}

// 新增轮播图
export function addAppletBanner(data) {
  return request({
    url: '/model/AppletBanner',
    method: 'post',
    data: data
  })
}

// 修改轮播图
export function updateAppletBanner(data) {
  return request({
    url: '/model/AppletBanner',
    method: 'put',
    data: data
  })
}

// 删除轮播图
export function delAppletBanner(id) {
  return request({
    url: '/model/AppletBanner/' + id,
    method: 'delete'
  })
}
